package kd.hrmp.hbjm.business.domain.application.job;

import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.dataentity.entity.DynamicObjectCollection;
import kd.bos.lang.Lang;

import java.util.List;

/**
 * @author rd_ningjie
 * @description:职级职等聚合服务
 * @date 2022/10/9 9:29
 */
public interface IJobLevelAndGradeApplication {

    /**
     * @param scmIds
     * @param names
     * @param lang
     * @description: 根据职级方案id与职级名称查询该语言环境下的数据
     * @return: kd.bos.dataentity.entity.DynamicObject[]
     * @author rd_ningjie
     * @date: 2022/10/9 16:42
     */
    DynamicObjectCollection getJobLevelByScmIdAndLangName(List<Long> scmIds, List<String> names, Lang lang);

    /**
     * @param scmIds
     * @param names
     * @param lang
     * @description: 根据职等方案id与职等名称查询该语言环境下的数据
     * @return: kd.bos.dataentity.entity.DynamicObject[]
     * @author rd_ningjie
     * @date: 2022/10/9 16:42
     */
    DynamicObjectCollection getJobGradeByScmIdAndLangName(List<Long> scmIds, List<String> names, Lang lang);


}
